# Uses of Interface
com.logicaldoc.core.communication.oauth.TokenProvider

Packages that use TokenProvider
Package
Description
com.logicaldoc.core.communication.oauth

## Uses of TokenProvider in com.logicaldoc.core.communication.oauth

Classes in com.logicaldoc.core.communication.oauth that implement TokenProvider
Modifier and Type
Class
Description
`class`
`Microsoft365TokenProvider`
A TokenProvider used to access the Exchange Online (Microsoft 365)
Methods in com.logicaldoc.core.communication.oauth that return TokenProvider
Modifier and Type
Method
Description
`TokenProvider`
TokenProviderManager.`getProvider(String key)`